python-pyvista (0.46.5-3) unstable; urgency=medium

  * Drop python3-paraview alternative for python3-vtk9.
    Drop debian patch paraview_skip_tests.patch.
    Paraview v6 now uses external vtk (9.5), so there is only one
    vtkmodules, provided only by python3-vtk9 now.
  * run tests on default python only, since vtk9 only builds for it

 -- Drew Parsons <dparsons@debian.org>  Thu, 29 Jan 2026 10:26:33 +0100

python-pyvista (0.46.5-2) unstable; urgency=medium

  [ Drew Parsons ]
  * debian patch fix_test_regex_32bit_PR8154.patch applies upstream
    PR#8154 fixing dtype text that was breaking tests on 32-bit arches
    Closes: #1121990
  * refresh debian patches

  [ Gianfranco Costamagna ]
  * Actually add the upstream patch, for some reasons it wasn't included
    into 0.46.5

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Jan 2026 23:23:23 +0100

python-pyvista (0.46.5-1) unstable; urgency=medium

  * New upstream release
    - deprecates debian patch python3.14-compatibility.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Jan 2026 16:20:10 +0100

python-pyvista (0.46.4-4) unstable; urgency=medium

  * Team upload.
  * Add python3.14-compatibility.patch (Closes: #1122096), thanks to
    Rene Luria <rene.luria@infomaniak.com> for the patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Dec 2025 14:20:03 +0100

python-pyvista (0.46.4-3) unstable; urgency=medium

  * i386: skip test_voxelize_binary_mask_cell_length_sample_size
    in run-unit-tests (ValueError: negative dimensions)

 -- Drew Parsons <dparsons@debian.org>  Fri, 28 Nov 2025 16:31:36 +0100

python-pyvista (0.46.4-2) unstable; urgency=medium

  * drop debian patch test_meshio_i386_no_network.patch.
    Network connections are now permitted from i686.
  * Recommends: python3-scipy.
    Technically scipy is optional (used in tests) so not detected
    automatically by dh_python, but recommended for use with
    type-checking.

 -- Drew Parsons <dparsons@debian.org>  Thu, 27 Nov 2025 22:13:40 +0100

python-pyvista (0.46.4-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends: pybuild-plugin-pyproject
    to build with pyproject.toml
  * run CI tests on all supported python versions.
    debian/tests Depends: python3-all

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Nov 2025 19:42:25 +0100

python-pyvista (0.46.3-1~exp8) experimental; urgency=medium

  * Update test skips for debci.

 -- Francesco Ballarin <ballarin@debian.org>  Thu, 30 Oct 2025 10:28:42 +0000

python-pyvista (0.46.3-1~exp7) experimental; urgency=medium

  * Update test skips for debci.

 -- Francesco Ballarin <ballarin@debian.org>  Wed, 22 Oct 2025 15:27:55 +0000

python-pyvista (0.46.3-1~exp6) experimental; urgency=medium

  * Allow stderr for debci run-unit-tests too.
  * Update test skips for debci.

 -- Francesco Ballarin <ballarin@debian.org>  Tue, 21 Oct 2025 11:24:05 +0000

python-pyvista (0.46.3-1~exp5) experimental; urgency=medium

  * Update test skips for debci

 -- Francesco Ballarin <ballarin@debian.org>  Mon, 20 Oct 2025 13:57:13 +0000

python-pyvista (0.46.3-1~exp4) experimental; urgency=medium

  * Allow stderr for debci run-unit-tests-network, since at least one test
    emits "vtkXOpenGLRenderWindow: bad X server connection. DISPLAY=".
  * Update test skips for debci.

 -- Francesco Ballarin <ballarin@debian.org>  Sat, 18 Oct 2025 15:42:48 +0000

python-pyvista (0.46.3-1~exp3) experimental; urgency=medium

  * Update test skips for debci

 -- Francesco Ballarin <ballarin@debian.org>  Tue, 14 Oct 2025 12:20:33 +0000

python-pyvista (0.46.3-1~exp2) experimental; urgency=medium

  * Require python3-aiohttp as build and test dependency. Thanks to
    Timo Röhling <roehling@debian.org for providing the patch.
  * Skip a few tests that are failing on debci

 -- Francesco Ballarin <ballarin@debian.org>  Mon, 13 Oct 2025 09:23:22 +0000

python-pyvista (0.46.3-1~exp1) experimental; urgency=medium

  * New upstream release 0.46.3
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Update Francesco Ballarin's email address.
  * Refresh patches for compatibility with 0.46.3:
    - Add patch no_retry_requests_package.patch to avoid dependency on python
      package retry_requests.
    - Add patch skip_cmcrameri_cmocean_tests.patch to avoid dependency on
      cmcrameri and cmocean python packages, which provide additional color
      maps, but are not currently packaged by debian.
    - Add patch no_pytest_cases_package.patch to drop several tests depending on
      the pytest_cases plugin, which is currently not packaged by debian.
    - Add patches drop_pytest_image_cache_dirs_from_pyproject.patch and
      empty_no_images_to_verify_fixture.patch to remove configuration of image
      cache directories from pyproject.toml and their usage as fixtures, since
      that requires a further package prepared by the pyvista developers, and
      which is of little use for debian CI.
  * debputy lint --auto-fix (routine-update)
  * Require ffmpeg and python3-imageio-ffmpeg when running autopkgtests, since a
    few tests use imageio.plugins.ffmpeg.
  * Require python3-pandas when running autopkgtests, since
    tests/core/test_pyvista_ndarray.py requires it.
  * Require python3-pytest-mock when running autopkgtests, since several tests
    now use the mocker fixture.
  * Disable a few unit tests that fail even on amd64 arch:
    - a few download tests that fail due to vtkPNrrdReader error
      "No whole extent has been set in the information for output port 0 on
       algorithm vtkPNrrdReader"
    - tests/typing/mypy_plugin/test_plugin.py::test_promote_type_static, since
      it require mypy, and testing it is of little use for debci.
    - tests/core/test_polydata.py::test_n_faces, since it does not raise an
      attribute error when such error was expected.

 -- Francesco Ballarin <ballarin@debian.org>  Sat, 04 Oct 2025 17:23:52 +0000

python-pyvista (0.44.1-11) unstable; urgency=medium

  * Skip tests/plotting/test_plotting.py::test_remove_vertices_actor when testing
    on s390x due to segmentation fault on a previous test run.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 13 Feb 2025 12:35:26 +0000

python-pyvista (0.44.1-10) unstable; urgency=medium

  * python3-pyvista Depends: python3-imageio, python3-meshio
    Drop Depends: ${shlibs:Depends} (package is arch-independent)
  * python3-pyvista Recommends: python3-colorcet
    (cmocean is not packaged for Debian)
  * debian/py3dist-overrides provides vtk package dependency:
      vtk python3-vtk9 | python3-paraview
    Correct behaviour is only guaranteed with vtk9. The paraview
    alternative is offered as a convenience, not all functionality
    will be available.
  * debian patch paraview_skip_tests.patch skips or xfails tests which
    fail when paraview provides vtkmodules (charts, and other tests)
  * fix logic in test_meshio_i386_no_network.patch
    (don't xfail on non-i386 systems)
  * debian/tests: skip all test_rotate_should_match_vtk_rotation
    on i386 ([x], [y] as well as [z])
  * debian patch skip_trimesh_tests.patch skips trimesh tests.
    Drop python3-trimesh from debian/tests Depends. The trimesh
    package is not yet stable, and not available in testing.

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Nov 2024 19:23:04 +0100

python-pyvista (0.44.1-9) unstable; urgency=medium

  * debian patch floating_point_tests_PR6806.patch applies upstream
    PR#6806 to fix floating point tests in test_axes_assembly.py
  * test_meshio_i386_no_network.patch: add more i386 xfails to
    openfoam tests

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Nov 2024 01:41:59 +0100

python-pyvista (0.44.1-8) unstable; urgency=medium

  * test_meshio_i386_no_network.patch: add more xfail marks
  * debian/tests/run-unit-tests: skip failing tests test_plot_logo and
    test_rotate_should_match_vtk_rotation[z] on i386
  * debian/tests/run-unit-tests-network: disable test_download_files
    on i386 (since otherwise already enabled by test_download)

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Nov 2024 12:52:21 +0100

python-pyvista (0.44.1-7) unstable; urgency=medium

  * update test_meshio_i386_no_network.patch to give test parameters
    a token value (None) when HTTPError is caught. Only use beam
    example if it was set (not None).

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Nov 2024 01:30:58 +0100

python-pyvista (0.44.1-6) unstable; urgency=medium

  * debian patch test_meshio_i386_no_network.patch: reinstate test for
    HTTPError in test_meshio.py. Triggered by test collection on i386
    before test skips are activated.

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Nov 2024 01:24:47 +0100

python-pyvista (0.44.1-5) unstable; urgency=medium

  * rename debian patch test_meshio_no_network.patch as
    test_meshio_i386_no_network.patch. Mark tests which fail to
    download on ix86 (i386/i686 etc) (HTTP request refused) as xfail
    instead of testing for HTTPError.
  * s390x: skip all test_download_gltf* (segfaults),
    test_dataset_loader_from_nested_multiblock and
    test_meshio[mesh_in{0,2}]. Bad data reads, bigendian issues?

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Nov 2024 18:30:56 +0100

python-pyvista (0.44.1-4) unstable; urgency=medium

  * s390x skip of test_download_gltf_damaged_helmet belongs in network
    tests
  * update debian patch test_meshio_no_network.patch to test for
    HTTPError not ValueError
  * debian/tests: restrict trimesh dependency to arches where it is
    available [amd64 arm64 mips64el ppc64el riscv64]

 -- Drew Parsons <dparsons@debian.org>  Wed, 13 Nov 2024 12:22:35 +0100

python-pyvista (0.44.1-3) unstable; urgency=medium

  * debian/tests: fix launch of network tests
  * debian patch test_meshio_no_network.patch skips tests in
    test_meshio.py if example files are not accessible
    (e.g. i386 HTTP requests are refused)
  * skip test_import_gltf on s390x
  * skip test_multiprocessing (tests/core/test_dataset.py)
    Flakey test, often segfaults.
  * debian/tests Depends: python3-trimesh
    python3-pyvista Suggests: python3-trimesh
    (used by core/utilities/helpers.py if TYPE_CHECKING is active)

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Nov 2024 13:29:45 +0100

python-pyvista (0.44.1-2) unstable; urgency=medium

  * set python3-pyvista to Architecture: all
  * run network tests in separate debian/tests/run-unit-tests-network
    The http request to access example data files is refused for i386
    so enable downloads only for other arches.
  * skip failing tests
    - riscv64: test_axis_scale times out
    - s390x: test_download_gltf_damaged_helmet segfaults

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Nov 2024 01:39:12 +0100

python-pyvista (0.44.1-1) unstable; urgency=medium

  * New upstream release
  * debian patch no_trame_vtk.patch disables use of
    pyvista.ext.viewer_directive in tinypages tests.
    It needs trame_vtk, which is not packaged for Debian.
    Set default generated filetype to png not vtksz.

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Nov 2024 15:11:27 +0100

python-pyvista (0.43.10-5) unstable; urgency=medium

  * Skip more tests that have failed on debci while testing 0.43.10-4

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 29 Jun 2024 06:10:04 +0000

python-pyvista (0.43.10-4) unstable; urgency=medium

  * Print pyvista report before starting autopkgtest session, since it may be
    useful to have those info when reporting issues upstream.
  * autopkgtest randomly segfaults when running pytest on debci. Take the
    following measures to investigate the segmentation faults:
    - increase pytest verbosity with -vv, so that test names are printed
    - randomize test order: this should help us determine if segfaults are
      happening after a specific test, or after a specific amount of tests have
      been run
  * Skip test_compute_derivatives on autopkgtest, since I have seen it segfault
    at least once on my laptop
  * Skip test_utilities_namespace on autopkgtest, since it does not emit the
    expected warning. This may be a side effect of test randomization, but
    investigating segmentation faults that affect the possibility of running the
    testsuite at all must take priority over checking that a handful of warnings
    are correctly emitted
  * Skip test_contour_labeled, test_contour_labeled_with_smoothing and
    test_contour_labeled_with_boundary_output_style due to max value tested in
    the assert being different from the expected one

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Tue, 25 Jun 2024 12:53:50 +0000

python-pyvista (0.43.10-3) unstable; urgency=medium

  * Require xauth when running autopkgtest, because it is internally called by
    xvfb-run

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 23 Jun 2024 12:20:14 +0000

python-pyvista (0.43.10-2) unstable; urgency=medium

  * Let xvfb-run handle starting and stopping the virtual X frame buffer while
    running tests in autokpgtest

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 23 Jun 2024 05:31:23 +0000

python-pyvista (0.43.10-1) unstable; urgency=medium

  * New upstream release
  * Drop a sentence from the package description, because it refers to
    information that is not actually available in the description itself.
  * Standards-Version: 4.7.0 (routine-update)
  * Add missing build-dependency on python3-setuptools.
  * Refresh autopkgtest skips due to new tests in 0.43.10
  * Allow autopkgtest to use internet, because some data files used in tests are
    downloaded from the internet on the fly
  * In autopkgtest, make xvfb immune to hangups by running it with nohup,
    otherwise pytest may segfault as soon as xvfb closes

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 22 Jun 2024 16:45:16 +0000

python-pyvista (0.43.2-1) unstable; urgency=medium

  * Initial release (Closes: #1001105)

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jan 2024 22:51:10 +0100
